      subroutine diskpar

c disk parameters for gaussian scale height
c history
c 000906 (baw) modify for density instead of opacity
c 000907 (baw) assume all units are cgs

      implicit none

      include 'ds.txt'
      include 'out.txt'
      include 'stokes.txt'
      include 'opacin.txt'

      real*8 a1,p,c,c1,c0,sigz1,rho1au

c     calculate density based on input mass; units in cgs
      print*, ' '
      write(6,*) 'disk setup'

      z1=zmin
      if(rmaxd.gt.0) then
         zmax=z1*(rmaxd/rmin)**b
      else
         zmax=0.
      end if
      print*,'disk zmaxd/rmaxd at 4 scale heights ',4.d0*zmax/rmaxd
c     calculate density from massd=mass of disk. 
c     = 2*pi*(integral(density*r*dr*dz)).	
      a1=1.-a  
      p=b-a
      if(rmaxd.gt.0) then
c     c=r2p**1.5*rmincgs**2*z1cgs
c     c=r2p**1.5*rmincgs*z1cgs !baw 11/6/98 change def to prevent overflow
         c=r2p**1.5*rmin*z1
         if(p.ne.-2) then
c     rhod0=massd*msol*(p+2)/c/(rmaxd**(p+2)-1)
c     rhod0=massd*msol*(p+2)/c/(rmaxd**(p+2)-1)/rmincgs !baw 11/6/98
      rhod0=massd*(p+2)/c/((rmaxd/rmin)**(p+2)-(rmind/rmin)**(p+2))/
     $           rmin
         else
c     rhod0=massd*msol/c/log(rmaxd)
c	    rhod0=massd*msol/c/log(rmaxd)/rmincgs !baw 11/6/98
            rhod0=massd/c/dlog(rmaxd/rmind)/rmin  
         end if
         write(6,*)'rhod0 of disk (gm/cm^3)',rhod0
c     opacity in units of rstar**-1 is kappa*rho*rmin.  c0 is multiplier
c     used in radiative transfer.
c     000907 (baw) shouldn't need c0 anymore, will use cgs and density.
         c1=kappa*rhod0*rmin**a
         if(a.ne.1) then
c	    taur=c0/a1*((rmaxd/rmin)**a1-1.)
            taur=c1/a1*((rmaxd)**a1-(rmind)**a1)
         else
c	    taur=c0*log(rmaxd)
            taur=c1*dlog(rmaxd/rmind)
         end if
      else
         c=0.d0
         c0=0.d0
         rhod0=0.d0
         taur=0.d0
      end if
c      write(6,*)'c0=kappa*rhod0*rmincgs',c0
      write(6,*)'taur at z=0',taur
      if(rmaxd.gt.0.) then
         tauzmin=kappa*dsqrt(r2p)*z1*rhod0*(rmind/rmin)**p
         tauzmax=kappa*dsqrt(r2p)*z1*rhod0*(rmaxd/rmin)**p
         tauz30=kappa*dsqrt(r2p)*z1*rhod0*(30.*au/rmin)**p
         write(6,*) 'tauzmin,tauzmax,tauz30',tauzmin,tauzmax,tauz30
c     density at rmind,30AU, rmaxd
         rhomin=rhod0*(rmind/rmin)**(-a)
         rho30=rhod0*(30.*au/rmin)**(-a)
         rhomax=rhod0*(rmaxd/rmin)**(-a)
         write(6,*)'density at rmind,30au,rmaxd',rhomin,rho30,rhomax
c     density at 1 AU, sigma at 1 AU
         rho1au=rhod0*(au/rmin)**(-a)
         sigz1=dsqrt(r2p)*z1*rhod0*(au/rmin)**p
         print*,'rho_0, Sigma at 1 AU ',rho1au,sigz1
      end if
      
      return
      end
      
      
c     ********************************************************
      

